%define _mozillapluginpath	%{_libdir}/mozilla/plugins
%define _mozillacomponentpath	%{_libdir}/mozilla/components

Summary: A browser plugin to allow playing embedded movies on web pages
Name:    mplayerplugin
Version: 2.80
Release: 2mdk
License: GPL
Group:   Networking/WWW
URL: http://mplayerplug-in.sourceforge.net
Source0: http://heanet.dl.sourceforge.net/sourceforge/mplayerplug-in/mplayerplug-in-%{version}.tar.bz2
Patch0: mplayerplugin-2.80-cvs.patch.bz2
BuildRequires: XFree86-devel
BuildRequires: mozilla-devel
BuildRequires: gtk+2-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: mplayer >= 0.92
Conflicts: mozplugger < 1.5.2-2mdk

%description
Mplayerplug-in is a Netscape/Mozilla browser plugin to allow
playing embedded movies on web pages.

%prep
%setup -n mplayerplug-in
%patch0 -p1

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_sysconfdir} \
	$RPM_BUILD_ROOT%{_mozillapluginpath} \
	$RPM_BUILD_ROOT%{_mozillacomponentpath}

cat > $RPM_BUILD_ROOT%{_sysconfdir}/mplayerplug-in.conf <<EOF
# Enable debugging if set to 1 (default=0)
debug=1

# File to write debug info to
logfile=\$HOME/tmp/mplayerplug-in.log

# Video output
vo=xv,x11

# Audio output
ao=esd,alsa,oss,arts,null

# Passes display to show output to, useful for multiple monitor setups
#display=[display name]

# Tells mplayer to allow default video post processing or not (default=0)
#novop=1

# Pass special video post processing
#vopopt=[mplayer vop options]

# Option for rtsp streams, set to 1 when behind proxy (default=0)
#rtsp-use-tcp=1

# OSD Level (default=0)
osdlevel=3

# When set to 1 uses the aspect of movie no matter what (default=1)
#prefer-aspect=0

# If set to 1, forces mplayer to be in it's own window (default=0)
#noembed=0

# Where to store the downloaded movies
dload-dir=\$HOME/tmp

# Download file before playing (default=0)
#download=1

# Set to 1 if you want to keep downloaded media (default=0)
#keep-download=1

# Cache Size in kB. This is the buffer size before the video plays (default=512)
#cachesize=256

# Percent of file to load into cache (default=25)
#cache-percent=10

# Read mime types to handle from \$HOME/{.mplayer,.mozilla},/etc/mplayerplug-in.types
#use-mimetypes=1

# Set QT Speeed, use "low" for dialup, "med" for DSL, "high" for more
#qt-speed=low

# Enable/Disable RealPlayer mime-types (default=0)
#enable-real=1

# Enable/Disable WindowsMedia mime-types (default=1)
#enable-wm=0

# Enable/Disable QuickTime mime-types (default=1)
#enable-qt=0

# Enable/Disable Mpeg mime-types (default=1)
#enable-mpeg=0

# Enable/Disable Ogg mime-types (default=1)
#enable-ogg=1

# Enable/Disable Smil (default=1)
#enable-smil=1

# For Live.com video behind a proxy
# rtsp-use-tcp=0

# Black background
#black-background=0

# Disable media cache
#nomediacache=0

# Skip displaying some frames
#framedrop=0

# Gradually adjusts the A/V sync based on audio delay measurements
#autosync=0

# Maximum A-V sync correction per frame
#mc=0

# User-Agent
#user-agent=NSPlayer
EOF

install -m 755 mplayerplug-in.so $RPM_BUILD_ROOT%{_mozillapluginpath}

install -m 644 mplayerplug-in.xpt $RPM_BUILD_ROOT%{_mozillacomponentpath}

install -m 644 mplayerplug-in.types $RPM_BUILD_ROOT%{_sysconfdir}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL README
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/mplayerplug-in.conf
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/mplayerplug-in.types
%{_mozillapluginpath}/mplayerplug-in.so
%{_mozillacomponentpath}/mplayerplug-in.xpt

%changelog
* Fri Apr 08 2005 Giuseppe Ghib <ghibo@mandriva.com> 2.80-2mdk
- Added Patches from CVS.

* Mon Feb 14 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.80-1mdk
- Release 2.80.
- Removed Patch0, merged upstream.

* Thu Jan 06 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.75-3mdk
- Added some entry in .conf file.
- Backported from cvs:
  - disable -xy when plugin used remotely.
  - add user-agent.

* Sun Dec 26 2004 Abel Cheung <deaddog@mandrake.org> 2.75-2mdk
- Fix BuildRequires

* Mon Dec 20 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.75-1mdk
- Merged changes from UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  - Release 2.75.
  - remove Requires: mplayer-gui.

* Tue Oct 05 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.70-2mdk
- removed '-ao alsa9' as it's now called simply '-ao alsa' in current
  mplayer.

* Mon Oct 04 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.70-1mdk
- Release 2.70.

* Wed Jul 28 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.66-1mdk
- Release 2.66.
- Removed Patch0, merged upstream.

* Wed Apr 21 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.60-1mdk
- Release 2.60.

* Thu Apr 08 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.50-2mdk
- Allow coexisting with mozplugger.

* Wed Apr 07 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.50-1mdk
- Release 2.50.
- Removed zoom patch, now merged.

* Mon Nov 03 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.pre2.1mdk
- Release 1.0pre2.

* Mon Jun 16 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.80-1mdk
- Release 0.80.
- Removed Patch0, merged.

* Mon May 12 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.71-1mdk
- Updated to release 0.71.

* Sat Mar 22 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.60-2mdk
- Added prefer-aspect=1 to default config.

* Tue Mar 18 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.60-1mdk
- Updated to release 0.60.
- Updated Patch0.
- Added mini skins

* Mon Feb 17 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.40-2mdk
- Mozilla plugin path to %%{_libdir}/mozilla/plugins.

* Mon Feb 17 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.40-1mdk
- Initial release.
- Added .conf files with default to -vo x11.
- Added patches to allow multiple playing or when audio is busy.
- Added option 'osdevel'.
